<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.zcloud.modules.sys.dao.SysDictionariesDao">

	<select id="queryListParentId" resultType="com.zcloud.modules.sys.entity.SysDictionariesEntity">
		select d.*,
		       (select count(1) from sys_dictionaries c where c.parent_id = d.dictionaries_id) has_children
		       from sys_dictionaries d where d.parent_id = #{parentId} order by d.order_by asc
	</select>

	<select id="getRecurrenceIds" resultType="java.lang.String">
		select getFullDIcId(#{id})
	</select>
</mapper>
